> For the complete documentation index, see [llms.txt](https://docs.thndr.io/integration/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thndr.io/integration/launch-game/standard/game-api.md).

# Game API

#### Endpoint

```url
GET https://game-sandbox.thndr-cdn.com
```

#### Query Parameters

* `operatorId` - Your Operator ID (provided by THNDR).
* `gameId` - The game to launch. Supported values: `solitaire`, `blocks`, `twentyone`, `blackjack`, `slots`, `plinko` .
* `language` - Two-letter country code. If language is not supported, defaults to English.
* `sessionId` - Unique session ID from the Operator’s platform. Must be unique per player game launch.
* `insetTop` (optional) - The pixel value to offset the top area, accounting for the device's safe area if needed.
* `insetBottom` (optional) - The pixel value to offset the bottom area, accounting for the device's safe area if needed.

#### Example Request

```url
GET https://game-sandbox.thndr-cdn.com?operatorId={OPERATOR_123}&gameId=solitaire&language=en&sessionId={SESSION_ABC}
```

#### Notes

Make sure clipboard permissions are enabled when embedding the game, so users can easily copy debug information (e.g., user ID, device details, environment).

```html
<iframe
...
allow="clipboard-write; clipboard-read;"
/>

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thndr.io/integration/launch-game/standard/game-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
